<?php
namespace app\admin\content\push\service;


class PushSettingService
{
    public static function updateSetting($paramData): array
    {
        if (count($paramData) > 0) {
            foreach ($paramData as $index => $item) {
                db("push_setting")->where("name", $index)->update(["data" => $item]);
            }
        }
        return resSuccess();
    }

    public static function getSettingData() {
        $dbData = db("push_setting")->select()->all();
        $tempData = [];
        if (count($dbData) > 0) {
            foreach ($dbData as $key => $item) {
                $tempData[strval($item["name"])] = $item["data"];
            }
        }
        return $tempData;
    }

    public static function changeBaiduDefaultStatus($baiduDefaultStatus): array
    {
        $baiduDefaultStatus = intval($baiduDefaultStatus);
        db("push_setting")->where("name", "baiduDefaultStatus")->update(["data" => $baiduDefaultStatus]);
        return resSuccess();
    }
}