<?php
namespace app\admin\content\search\controller;
use app\admin\content\search\service\SearchWordsService;
use app\common\controller\AdminBase;

class SearchWordsController extends AdminBase
{
    public function getSearchWordsList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SearchWordsService::getSearchWordsList($postData);
        $total = SearchWordsService::getSearchWordsList($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }
}
