<?php
namespace app\admin\system\service;

use think\facade\Db;

class SystemService
{
    public static function updateSystem($paramData): int
    {
        if (count($paramData) > 0) {
            foreach ($paramData as $index => $item) {
                Db::name("base_system")->where("name", $index)->update(["data" => $item]);
            }
        }
        return 1;
    }
    public static function getSystemInfo(): array
    {
        $baseSystem = Db::table("base_system")->select()->all();
        $systemData = [];
        if (count($baseSystem) > 0) {
            foreach ($baseSystem as $key => $item) {
                $systemData[strval($item["name"])] = $item["data"];
            }
        }
        return $systemData;
    }

}
