<?php


namespace app\common\service;


class CommonTagCategoryService
{

    public static function configDefaultCategoryInfo() {

        $tagUrlName = config("global.tagUrlName");
        if ($tagUrlName == "") {
            $tagUrlName = "tag";
        }

        return [
            "id" => 0,
            "pid" => 0,
            "url_name" => "tag",
            "title" => "标签",
            "keywords" => "",
            "description" => "",
            "url" => Get("domain") . "/" . $tagUrlName . "/",
            "template" => "tagCategory.html",
            "detail_template" => "tagDetail.html",
            "level" => 0,
            "children" => [],
            "parent" => [],
            "content" => "",
        ];
    }

    public static function getTagCategoryUrl($itemInfo) {
        return Get("domain") . $itemInfo["url"];
    }
}