<?php


namespace app\common\service;


use app\home\tag\service\TagCategoryHomeService;

class CommonTagService
{

    public static function getTagUrl($itemInfo) {
        $tagUrlName = config("global.tagUrlName");
        if ($tagUrlName == "") {
            $tagUrlName = "tag";
        }
        $isTagDomain = Get("isTagDomain");
        $url = "";
        if ($isTagDomain) {
            /*标签域名 当前站点域名的 二级域名访问*/
            $url = Get("currentScheme"). "://" . $itemInfo['url_name'] . "." . Get('currentTopDomain');
        } else {
            $url = Get("domain") . $itemInfo["url"];
        }
        return $url;
    }

}