<?php
namespace app\home\page\controller;

use app\admin\content\setting\service\SettingService;
use app\common\controller\HomeBase;
use app\home\page\service\PageHomeService;
use think\facade\View;

class PageHome extends HomeBase
{
    public function index() {
        $id = input('param.id');
        if (!$id) {
            return pageNotFound();
        }
        /*控制器*/
        View::assign('ctr',"Page");
        Set("ctr","Page");

        $itemInfo = PageHomeService::getPageInfoByUrlName($id);
        if (!$itemInfo) {
            $settingInfo = SettingService::getSettingData();
            $templateName = "";
            $template = config("view.view_dir_name")  . DS . $settingInfo["template"] . DS . "html" . DS . "diyPage" . DS . $id . ".html";
            if (file_exists($template)) {
                $templateName = $id . ".html";
            }
            if ($templateName) {
                return $this->viewFetch('/diyPage/' . str_replace('.html', '', $templateName));
            }  else {
                return pageNotFound();
            }
        }
        View::assign('itemInfo',$itemInfo);
        return $this->viewFetch('/page/' . str_replace('.html', '', $itemInfo['template']));
    }
}