<?php
namespace app\home\special\controller;

use app\common\controller\HomeBase;
use app\home\special\service\SpecialHomeService;
use app\home\tag\service\TagHomeService;
use think\facade\View;

class SpecialDetailHome extends HomeBase
{
    public function index() {
        $param = str_replace("/special/","",request()->server()["REQUEST_URI"]);
        $param = str_replace(".html","",$param);
        $param = str_replace("/index.php?s=","",$param);
        $page = 1;
        /*匹配含有分页page*/
        preg_match('/(.*)_([0-9]+)/', $param, $matches);
        if ($matches) {
            $param = $matches[1];
            $page = $matches[2];
        }
        if ($param) {
            $param = urldecode($param);
            $itemInfo = db("special")->where(config("global.specialUrlField"),$param)->find();
        }
        if (!$param || !$itemInfo) {
            return pageNotFound();
        }
        $itemInfo = SpecialHomeService::getSpecialInfo($itemInfo['id'],[]);
        View::assign('itemInfo',$itemInfo);
        View::assign('page',$page);


        /*控制器*/
        View::assign('ctr',"SpecialDetail");
        Set("ctr","SpecialDetail");

        $templateName = $categoryInfo['detail_template'] ?? 'specialDetail';
        $templateName = str_replace('.html', '', $templateName);
        return $this->viewFetch('/special/' . $templateName);
    }
}
