<?php

namespace app\home\tag\service;

class TagSitemapHomeService
{
    public static function getTagSitemapList($paramData): array
    {
        if (!is_array($paramData)) {
            $paramData = json_decode($paramData,true);
        }
        $num = config("global.sitemapNum");
        $itemList = [];
        $count = db("tag")->count();
        if ($count) {
            $pageAllNum = ceil($count / $num);
            if ($pageAllNum > 0) {
                for ($i = 0; $i < $pageAllNum; $i++) {
                    if ($i == 0) {
                        $itemList[] = ["title" => "sitemap_tag.xml"];
                    } else {
                        $itemList[] = ["title" => "sitemap_tag_" . $i . ".xml"];
                    }
                }
            }
        } else {
            $itemList[] = ["title" => "sitemap_tag.xml"];
        }
        return $itemList;
    }
}