<?php
namespace app\home\tag\taglib;

use think\template\TagLib;

class Tag extends TagLib {

    protected $tags   =  [
        'taglist'      => ['close' => 1],
        'tagsitemaplist'      => ['close' => 1],
        'taglistpage'      => ['close' => 0],
        'tagcategorylist'      => ['close' => 1],
    ];

    public function tagTagList($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\tag\service\TagHomeService::getTagList($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }

    public function tagTagSitemapList($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\tag\service\TagSitemapHomeService::getTagSitemapList($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }

    public function tagTagListPage($tag, $content)
    {
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__page__ = "";';
        $html .= '$__think__page__ = app\home\tag\service\TagHomeService::getTagListPage($__think__tag__);';
        $html .= 'echo $__think__page__; ?>';
        return $html;
    }

    public function tagTagCategoryList($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = "<?php ";
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\tag\service\TagCategoryHomeService::getTagCategoryList($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }


}
