<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2019 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// remove composer.json file require-dev "symfony/var-dumper": "^4.2", and composer update
// remove app/provider.php file
// remove config/console.php file
// remove config/trace.php file
// edit topthink/think-trace/src/TraceDebug.php Html as Console
// remove app/service.php file
// remove app/AppService.php file
// remove app/event.php file
// remove config/lang.php file
// move \topthink\framework\src\lang\zh-cn.php content to topthink\framework\src\think/Lang.php include file at line 149
// delete \topthink\framework\src\think\initializer\RegisterService.php line 27-29
// add \topthink\framework\src\think\initializer\RegisterService.php line 39 vendor/services.php content
// remove config/middleware.php file
// remove app/middleware.php file
// remove app/Request.php file
// remove app/ExceptionHandle.php file
// remove config/filesystem.php file
// remove \topthink\framework\src\Container.php line 34 implements  ContainerInterface text
// +----------------------------------------------------------------------

// [ 应用入口文件 ]

namespace think;

// 检测PHP环境
if (version_compare(PHP_VERSION, '7.1.0', '<')) die('require PHP > 7.1.0 !');


define("DS", DIRECTORY_SEPARATOR);
define("ROOT_PATH", __DIR__ . DIRECTORY_SEPARATOR);
define("APP_PATH", __DIR__ . DIRECTORY_SEPARATOR . "app" . DIRECTORY_SEPARATOR);

require __DIR__ . '/vendor/autoload.php';

// 执行HTTP应用并响应
$http = (new App())->http;

$response = $http->run();

$response->send();

$http->end($response);
