<?php
function sortArrayByName($array, $specifiedName) {
    $specifiedItems = array();
    $otherItems = array();

    // 遍历数组，将指定 name 值的项和其他项分别存储到不同的数组中
    foreach ($array as $item) {
        if ($item['name'] === $specifiedName) {
            $specifiedItems[] = $item;
        } else {
            $otherItems[] = $item;
        }
    }

    // 合并其他项和指定 name 值的项，将指定 name 值的项放在数组的最后
    $sortedArray = array_merge($otherItems, $specifiedItems);

    return $sortedArray;
}

if (is_file(ROOT_PATH . "install" . DS .'install.lock')) {
    $dirNameAndPathArray = getLocalAllAddonsArray();
    if (count($dirNameAndPathArray) > 0) {
        $dirNameAndPathArray = sortArrayByName($dirNameAndPathArray, 'randSearchUrl');
        foreach ($dirNameAndPathArray as $dirNameAndPath) {
            if (file_exists($dirNameAndPath["path"] .  "route.php")) {
                include $dirNameAndPath["path"] .  "route.php";
            }
        }
    }

}