
var ssy = {
    action(url, param,data) {
        return new Promise(function(resolve, reject) {
        	
            axios.defaults.headers['siteId'] = '';
            var p = {headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                }}
                p = "";
            try {
	            if (router) {
		            if (router.app.$route.params.siteId && router.app.$route.params.siteId != 'undefined') {
		                axios.defaults.headers['siteId'] = router.app.$route.params.siteId;
		            }
	            }
			} catch (e) {
			}
            if (data) {
                axios.defaults.headers['siteId'] = data.siteId;
            }
            axios.post(url, param,p).then(function(res) {
                if(res.status == 200) {
                    if(res.data.code == undefined) {
                        iview.Message.error('请求无效');
                        return false;
                    }
                    if(res.data.code == -1) {
                        iview.Message.error(res.data.msg);
                        // iview.Modal.warning({
                        //     title: "消息提示",
                        //     content: res.data.msg,
                        // });
                    }
                    
                    resolve(res.data);
                } else {
                    iview.Message.error('系统错误,请联系管理员');
                }
            }, function(err) { 
				if (err.response.status == 500) {
					document.getElementsByClassName('error-modal-bg')[0].style.display = 'block';
					document.getElementsByClassName('error-modal')[0].style.display = 'block';
					// $('#errorModalBody').html(err.response.data);
                    if ((typeof err.response.data) == "object") {
                        document.getElementById('errorModalBody').innerHTML = err.response.data.message;
                    }
				} else {
					iview.Message.error('系统错误，错误代码：' + err.response.status);
				}
                // iview.Message.error('系统错误，错误代码：' + err.response.status);
            })
        });
    },
    ajax: function(url,obj,id,type) {
        if (!obj) {
            obj = {};
        }
        if (type) {
            this.action(url, obj).then(res => {
                if (res.code == 1) {
                    if (res.msg) {
                        Message.success(res.msg);
                    }
                }
            });
        } else {
            return this.action(url, obj);
        }
    }
}
Vue.prototype.$ssy = ssy;
Vue.filter('dateTime', function(value) {
    var dateTime = new Date(parseInt(value * 1000));
    var Y = dateTime.getFullYear(),
        m = dateTime.getMonth() + 1,
        d = dateTime.getDate(),
        H = dateTime.getHours(),
        i = dateTime.getMinutes(),
        s = dateTime.getSeconds();
    if(m < 10) {
        m = '0' + m;
    }
    if(d < 10) {
        d = '0' + d;
    }
    if(H < 10) {
        H = '0' + H;
    }
    if(i < 10) {
        i = '0' + i;
    }
    if(s < 10) {
        s = '0' + s;
    }
    var t = Y + '-' + m + '-' + d;
    return t;
});

Vue.filter('formatTime', function(value) {
    var dateTime = new Date(parseInt(value * 1000));
    var Y = dateTime.getFullYear(),
        m = dateTime.getMonth() + 1,
        d = dateTime.getDate(),
        H = dateTime.getHours(),
        i = dateTime.getMinutes(),
        s = dateTime.getSeconds();
        var time = Math.round(new Date().getTime()/1000);
        if(time - parseInt(value) < 60) {
            return time - parseInt(value)+'秒前';
        }
        if(time - parseInt(value) > 60 && time - parseInt(value) < 3600) {
            return new Date(parseInt((time - parseInt(value)) *1000)).getMinutes()+'分钟前';
        }
        if(time - parseInt(value) > 3600 && time - parseInt(value) < 86400) {
            return new Date(parseInt((time - parseInt(value)) *1000)).getHours()+'小时前';
        }
        if(time - parseInt(value) > 86400 && time - parseInt(value) < 172800) {
            return '1天前';
        }
        if(m < 10) {
            m = '0' + m;
        }
        if(d < 10) {
            d = '0' + d;
        }
        if(H < 10) {
            H = '0' + H;
        }
        if(i < 10) {
            i = '0' + i;
        }
        if(s < 10) {
            s = '0' + s;
        }
        var t = Y + '-' + m + '-' + d + " " + H + ':' + i + ':' + s;
        return t;
    });
Vue.filter('time', function(value) {
    var dateTime = new Date(parseInt(value * 1000));
    var Y = dateTime.getFullYear(),
        m = dateTime.getMonth() + 1,
        d = dateTime.getDate(),
        H = dateTime.getHours(),
        i = dateTime.getMinutes(),
        s = dateTime.getSeconds();
    if(m < 10) {
        m = '0' + m;
    }
    if(d < 10) {
        d = '0' + d;
    }
    if(H < 10) {
        H = '0' + H;
    }
    if(i < 10) {
        i = '0' + i;
    }
    if(s < 10) {
        s = '0' + s;
    }
    var t = Y + '-' + m + '-' + d + " " + H + ':' + i + ':' + s;
    return t;
});
