<?php
namespace app\admin\content\push\controller;

use app\admin\content\push\service\PushSettingService;
use app\common\controller\AdminBase;

class PushSettingController extends AdminBase
{
    public function changeBaiduDefaultStatus()
    {
        $baiduDefaultStatus = input('post.baiduDefaultStatus');
        $resData = PushSettingService::changeBaiduDefaultStatus($baiduDefaultStatus);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('操作成功');
    }
    public function updatePushSetting()  {
        $postData = input("post.settingData/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = PushSettingService::updateSetting($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("更新成功");
    }

    public function getPushSettingData()  {
        $settingInfo = PushSettingService::getSettingData();
        return jsonSuccess("",$settingInfo);
    }

}