<?php
namespace app\admin\content\search\controller;
use app\admin\content\search\service\SearchLogService;
use app\common\controller\AdminBase;

class SearchLogController extends AdminBase
{
    public function getSearchLogList()
    {
        $page = intval(input("post.page") ?? 1);
        $postData = $this->request->post();
        $itemList = SearchLogService::getSearchLogList($postData);
        $total = SearchLogService::countSearchLog($postData);
        if (count($itemList) > 0) {
            $data["itemList"] = $itemList;
        } else {
            $data["itemList"] = [];
        }
        $data["total"] = $total;
        $data["page"] = $page;
        return jsonSuccess('',$data);
    }

    public function deleteSearchLog()
    {
        $ids = input('post.ids');
        if (!$ids) {
            return jsonError('缺少参数');
        }
        $resData = SearchLogService::deleteSearchLog($ids);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess('成功');
    }

}
