<?php
namespace app\admin\content\setting\controller;

use app\common\controller\AdminBase;
use app\admin\content\setting\service\SettingService;

class SettingController extends AdminBase
{
    public function updateSetting()  {
        $postData = input("post.settingData/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = SettingService::updateSetting($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("更新成功");
    }

    public function getSettingData()  {
        $settingInfo = SettingService::getSettingData();
        return jsonSuccess("",$settingInfo);
    }

}