<?php
namespace app\admin\content\setting\controller;

use app\admin\content\setting\service\UrlRuleService;
use app\common\controller\AdminBase;

class UrlRuleController extends AdminBase
{
    public function updateUrlRule()  {
        $postData = input("post.ruleInfo/a");
        if (!$postData) {
            return jsonError("参数错误");
        }
        $resData = UrlRuleService::updateUrlRule($postData);
        if ($resData["err"]) {
            return jsonError($resData["err"]);
        }
        return jsonSuccess("成功");
    }

    public function getUrlRuleData()  {
        $urlRuleData = UrlRuleService::getUrlRuleData();
        return jsonSuccess("",$urlRuleData);
    }

}