<?php
namespace app\admin\content\setting\service;

use app\admin\site\service\SiteService;

class SettingService
{
    public static function updateSetting($paramData): array
    {
        if (count($paramData) > 0) {
            foreach ($paramData as $index => $item) {
                db("base_setting")->where("name", $index)->update(["data" => $item]);
            }
        }
        $isCMS = Get("isCMS");
        if (!$isCMS) {
            /*վ*/
            $siteId = Get("siteInfo")["id"];
            if (isset($paramData["domain"]) && $paramData["domain"] != "" ) {
                SiteService::updateSite(["id" => $siteId,"domain"=>$paramData["domain"],"siteName" => $paramData["siteName"],"httpType" => $paramData["httpType"]]);
            }
        }
        return resSuccess();
    }

    public static function getSettingData() {
        $dbData = db("base_setting")->select()->all();
        $tempData = [];
        if (count($dbData) > 0) {
            foreach ($dbData as $key => $item) {
                $tempData[strval($item["name"])] = $item["data"];
            }
        }
        return $tempData;
    }
}