<?php
namespace app\admin\user\controller;
use app\BaseController;
use app\admin\user\service\UserService;
use think\facade\Cache;
use think\facade\Db;

class LoginController extends BaseController
{
    public function login() {
        $username = input("post.username");
        $password = input("post.password");
        $serviceResData = UserService::login(["username" => $username,"password" => $password]);
        if ($serviceResData["err"]) {
            return jsonError($serviceResData["err"]);
        }
        $resData["token"] = $serviceResData["data"];
        $resData["adminUrl"] = config("global.adminUrl");
        return jsonSuccess('登录成功',$resData);
    }

    public function logout(): \think\Response
    {
        UserService::logout();
        return jsonSuccess('退出成功');
    }
}
