<?php


namespace app\common\service;


class CommonSearchService
{

    public static function buildSearchUrl($itemInfo) {
        $domain = Get("domain");
        if (isset($itemInfo["addons_url"]) && $itemInfo["addons_url"] != "") {
            $itemInfo["url"] = $domain . "/" . $itemInfo["addons_url"] . ".html";
        } else {
            $itemInfo["url"] = $domain . "/" . config("global.searchUrlName") . "/" . urlencode($itemInfo["keywords"]) . ".html";
        }
        return $itemInfo;
    }

}
