<?php

namespace app\home\article\service;


class ArticleSitemapHomeService
{
    public static function getArticleSitemapList($paramData): array
    {
        if (!is_array($paramData)) {
            $paramData = json_decode($paramData,true);
        }
        $num = config("global.sitemapNum");
        /*统计总数*/
        $itemList = [];
        $count = db("article")->count();
        $pageAllNum = ceil($count / $num);
        if ($pageAllNum > 0) {
            for ($i = 0; $i < $pageAllNum; $i++) {
                if ($i == 0) {
                    $itemList[] = ["title" => "sitemap.xml"];
                } else {
                    $itemList[] = ["title" => "sitemap_" . $i . ".xml"];
                }
            }
        }
        return $itemList;
    }
}