<?php
namespace app\home\article\taglib;

use think\template\TagLib;

class Tag extends TagLib {

    protected $tags   =  [
        'articlelist'      => ['close' => 1],
        'articleinfo'      => ['close' => 0],
        'articlesitemaplist'      => ['close' => 1],
        'articlecategorylist'      => ['close' => 1],
        'articlecategoryinfo'      => ['close' => 0],
        'articledetailpage' => ['close' => 1],
        'articlelistpage' => ['close' => 0],
    ];

    public function tagArticleList($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\article\service\ArticleHomeService::getArticleList($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }

    public function tagArticleInfo($tag, $content)
    {
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";

                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \''.json_encode($tag).'\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\article\service\ArticleHomeService::getArticleList($__think__tag__);';
        $html .= '$'. $tag['name'] .' = $__think__list__; ?>';

        return $html;
    }

    public function tagArticleSitemapList($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\article\service\ArticleSitemapHomeService::getArticleSitemapList($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }
    public function tagArticleCategoryList($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        $html  = '<?php ';

        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }

        $html .= '$__think__tag__ = ' . "'" . json_encode($tag) . "'" . ';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\article\service\ArticleCategoryHomeService::getArticleCategoryList($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }

    public function tagArticleCategoryInfo($tag, $content)
    {
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";

                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \''.json_encode($tag).'\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\article\service\ArticleCategoryHomeService::getArticleCategoryList($__think__tag__);';
        $html .= '$'. $tag['name'] .' = $__think__list__; ?>';

        return $html;
    }
    public function tagArticleDetailPage($tag, $content)
    {
        if (!isset($tag['name'])) {
            $tag['name'] = 'item';
        }
        if (!isset($tag['key'])) {
            $tag['key'] = 'index';
        }
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__list__ = "";';
        $html .= '$__think__list__ = app\home\article\service\ArticleHomeService::getArticleDetailPage($__think__tag__);';
        $html .= ' ?>';
        $html .= '{volist name="__think__list__" id="' . $tag['name'] . '" key="' . $tag['key'] . '"}';
        $html .= $content;
        $html .= '{/volist}';
        return $html;
    }

    public function tagArticleListPage($tag, $content)
    {
        foreach ($tag as $key => $val) {
            if (strpos($val, '$') !== false) {
                if (substr($val, 0, 1) == '$') {
                    if (strpos($val, '"') !== false) {
                        $val = str_replace('"', "'", $val);
                    }
                    $tag[$key] = "'.". $val . ".'";
                }
            }
        }
        $html  = '<?php ';
        $html .= '$__think__tag__ = \'' . json_encode($tag) . '\';';
        $html .= '$__think__article__ = "";';
     	$html .= '$__think__article__ = app\home\article\service\ArticleHomeService::getArticleListPage($__think__tag__,"pagination");';
        $html .= 'echo $__think__article__; ?>';
        return $html;
    }

}
