<?php


namespace app\home\tag\service;



use app\admin\content\setting\service\UrlRuleService;
use think\facade\Db;

class TagHomeCheckService
{

    public static function checkTagCategoryUrl($paramData) {
        $routeName = $paramData["routeName"];
        $name = $routeName;

        /*获取规则*/
        $urlRuleData = UrlRuleService::getUrlRuleData();
        $tagCategoryRule = $urlRuleData["tagCategoryRule"];
        $categoryDbInfo = [];
        if (strpos($tagCategoryRule,'{c_url_name}') !== false) {
            $categoryDbInfo = db("tag_category")->where("url_name",$name)->find();
        }
        if (strpos($tagCategoryRule,'{c_id}') !== false) {
            $categoryDbInfo = db("tag_category")->where("id",$name)->find();
        }
        if (strpos($tagCategoryRule,'{c_title}') !== false) {
            $categoryDbInfo = db("tag_category")->where("title",$name)->find();
        }
        return $categoryDbInfo;
    }

    public static function checkTagDetailUrl($paramData) {
        $routeName = $paramData["routeName"];
        $name = $routeName;
        /*获取规则*/
        $urlRuleData = UrlRuleService::getUrlRuleData();
        $tagDetailRule = $urlRuleData["tagDetailRule"];
        /*验证详情*/
        $tagDbInfo = [];
        if (strpos($tagDetailRule,'{id}') !== false) {
            $tagDbInfo = db("tag")->where("id",$name)->find();
        }
        if (strpos($tagDetailRule,'{title}') !== false) {
            $tagDbInfo = db("tag")->where("title",$name)->find();
        }
        if (strpos($tagDetailRule,'{url_name}') !== false) {
            $tagDbInfo = db("tag")->where("url_name",$name)->find();
        }
        if (!$tagDbInfo) {
            return [];
        }
        return $tagDbInfo;
    }

}