<?php


namespace app\home\tag\service;


use think\facade\Db;

class TagHomeExtendService
{

    public static function getTagRandList($paramData): array
    {

        $cid = intval($paramData["cid"] ?? 0);
        $page = intval($paramData["page"] ?? 1);
        $limit = intval($paramData["limit"] ?? 10);
        $orderBy = $paramData["orderBy"] ?? "id";
        $order = $paramData["order"] ?? "desc";

        $dbSelect = db("tag_ids");
        $idsList = $dbSelect->field("id,ids")->select()->all();
        $idsRandArray = [];
        if (count($idsList) > 0) {
            $idsArray = explode(",", $idsList[array_rand($idsList)]["ids"]);
            if (count($idsArray) > 0) {
                if ($limit == 1) {
                        $ids = array_rand($idsArray,1);
                        $idsRandArray[] = $idsArray[$ids];
                } else {
                    if (count($idsArray) >= $limit) {
                        $tempList = array_rand($idsArray,$limit);
                        foreach ($tempList as $key => $value) {
                            $idsRandArray[] = $idsArray[$value];
                        }
                    } else {
                        foreach ($idsArray as $key => $value) {
                            $idsRandArray[] = $value;
                        }
                    }
                }
            }
        }
        return db("tag")->where("id","in",$idsRandArray)->select()->all();
    }
}
